Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Attributes | List of all members
agora::rtc::RemoteVideoTrackStatsEx Struct Reference

`#include <video_track_i.h>`

Inherits agora::rtc::RemoteVideoTrackStats.

## Public Attributes
uint64_t | firstDecodingTimeTickMs = 0
uint64_t | firstVideoFrameRendered = 0
bool | isHardwareCodec = false
int64_t | totalFrozen200ms = 0
uint32_t | last_frame_max = 0
uint32_t | dec_in_num = 0
uint32_t | render_in_num = 0
uint32_t | render_out_num = 0
uint32_t | fec_pkts_num = 0
uint32_t | loss_af_fec = 0
int | jitter_offset_ms = 0
int | decode_level [10] = {0}
uint64_t | qp_sum = 0
VideoContentType | content_type = VideoContentType::UNSPECIFIED
std::vector< VideoAvailabilityIndicator > | video_availability
Public Attributes inherited from agora::rtc::RemoteVideoTrackStats
uid_t | uid
int | delay
int | e2eDelay
int | width
int | height
int | receivedBitrate
int | decoderInputFrameRate
int | decoderOutputFrameRate
int | rendererOutputFrameRate
int | frameLossRate
int | packetLossRate
VIDEO_STREAM_TYPE | rxStreamType
int | totalFrozenTime
int | frozenRate
uint32_t | received_bytes
uint32_t | totalDecodedFrames
int | avSyncTimeMs
uint32_t | downlink_process_time_ms
uint32_t | frame_render_delay_ms
uint64_t | totalActiveTime
uint64_t | publishDuration
int | vqa_mos
int | vqa_avg_cost_ms
uint32_t | decoder_vender_id
uint32_t | decoder_type

## Additional Inherited Members
Public Member Functions inherited from agora::rtc::RemoteVideoTrackStats
| RemoteVideoTrackStats ()

## Member Data Documentation

## ◆ firstDecodingTimeTickMs

uint64_t agora::rtc::RemoteVideoTrackStatsEx::firstDecodingTimeTickMs = 0

## ◆ firstVideoFrameRendered

uint64_t agora::rtc::RemoteVideoTrackStatsEx::firstVideoFrameRendered = 0

## ◆ isHardwareCodec

bool agora::rtc::RemoteVideoTrackStatsEx::isHardwareCodec = false

## ◆ totalFrozen200ms

int64_t agora::rtc::RemoteVideoTrackStatsEx::totalFrozen200ms = 0

## ◆ last_frame_max

uint32_t agora::rtc::RemoteVideoTrackStatsEx::last_frame_max = 0

## ◆ dec_in_num

uint32_t agora::rtc::RemoteVideoTrackStatsEx::dec_in_num = 0

## ◆ render_in_num

uint32_t agora::rtc::RemoteVideoTrackStatsEx::render_in_num = 0

## ◆ render_out_num

uint32_t agora::rtc::RemoteVideoTrackStatsEx::render_out_num = 0

## ◆ fec_pkts_num

uint32_t agora::rtc::RemoteVideoTrackStatsEx::fec_pkts_num = 0

## ◆ loss_af_fec

uint32_t agora::rtc::RemoteVideoTrackStatsEx::loss_af_fec = 0

## ◆ jitter_offset_ms

int agora::rtc::RemoteVideoTrackStatsEx::jitter_offset_ms = 0

## ◆ decode_level

int agora::rtc::RemoteVideoTrackStatsEx::decode_level[10] = {0}

## ◆ qp_sum

uint64_t agora::rtc::RemoteVideoTrackStatsEx::qp_sum = 0

## ◆ content_type

VideoContentType agora::rtc::RemoteVideoTrackStatsEx::content_type = VideoContentType::UNSPECIFIED

## ◆ video_availability

std::vector<VideoAvailabilityIndicator> agora::rtc::RemoteVideoTrackStatsEx::video_availability